## org.hornetq.rest.util
Class HttpMessageHelper

    java.lang.Object
      org.hornetq.rest.util.HttpMessageHelper

    public class HttpMessageHelper

extends java.lang.Object

Version:
  $Revision: 1 $
Author:
  Bill Burke

Field Summary
`static java.lang.String` `POSTED_AS_HTTP_MESSAGE`

Constructor Summary
`HttpMessageHelper()`

Method Summary
`static void` `buildMessage(org.hornetq.api.core.client.ClientMessage message, org.jboss.resteasy.client.ClientRequest request, java.lang.String contentType)`
`static void` `buildMessage(org.hornetq.api.core.client.ClientMessage message, javax.ws.rs.core.Response.ResponseBuilder builder)`
`static java.lang.String` `concatenateHeaderValue(java.util.List<java.lang.String> vals)`
`static boolean` `isTransferableHttpHeader(java.lang.String key)`
`static void` `writeHttpMessage(javax.ws.rs.core.HttpHeaders headers, byte[] body, org.hornetq.api.core.client.ClientMessage message)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### POSTED_AS_HTTP_MESSAGE

    public static final java.lang.String POSTED_AS_HTTP_MESSAGE

See Also:
  Constant Field Values

Constructor Detail

### HttpMessageHelper

    public HttpMessageHelper()

Method Detail

### isTransferableHttpHeader

    public static boolean isTransferableHttpHeader(java.lang.String key)

### buildMessage

    public static void buildMessage(org.hornetq.api.core.client.ClientMessage message,
                                    javax.ws.rs.core.Response.ResponseBuilder builder)

### buildMessage

    public static void buildMessage(org.hornetq.api.core.client.ClientMessage message,
                                    org.jboss.resteasy.client.ClientRequest request,
                                    java.lang.String contentType)

### writeHttpMessage

    public static void writeHttpMessage(javax.ws.rs.core.HttpHeaders headers,
                                        byte[] body,
                                        org.hornetq.api.core.client.ClientMessage message)
                                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### concatenateHeaderValue

    public static java.lang.String concatenateHeaderValue(java.util.List<java.lang.String> vals)

Copyright © 2013. All Rights Reserved.